# Podręcznik użytkownika KDE

&Lauri.Watts; &Lauri.Watts.mail;
2004-02-02
K Desktop Environment
qtoptions
7

# Parametry linii poleceń biblioteki Qt

Parametry linii poleceń dla wszystkich programów korzystających z biblioteki Qt.

    Program korzystający z Qt Standardowe opcje biblioteki Qt

## Opcje

Opisane poniżej opcje odnoszą się do wszystkich programów bazujących na bibliotece &Qt;.

`--display` `widok`

  Powoduje użycie dla programu widoku X serwera o nazwie: `widok`.

`--session` `id_sesji`

  Powoduje uruchomienie programu dla zdefiniowanej sesji `id_sesji`.

`--cmap`

  Powoduje iż program będzie stosował własną mapę kolorów na ekranach 8 bitowych.

`--ncols` `liczba`

  Ogranicza liczbę kolorów przydzielonych programowi działającemu na ekranach 8 bitowych. Działa wtedy gdy program korzysta ze specyfikacji kolorów: `QApplication::ManyColor` .

`--nograb`

  Powoduje iż &Qt; nigdy nie będzie przechwytywać obsługi myszki i klawiatury.

`--dograb`

  Uruchomienie programu w debuggerze może spowodować niejawne zastosowanie opcji `--nograb`, zastosowanie `--dograb` wymusza pożądane działanie.

`--sync`

  Powoduje włączenie trybu synchronicznego w celach diagnostycznych.

`--fn`,`--font` `czcionka`

  Określa czcionkę stosowaną przez program.

`--bg`,`--background` `kolor`

  Definiuje domyślny kolor tła oraz paletę kolorów dla aplikacji (względem tego koloru obliczane są kolory cieniowania).

`--fg`,`--foreground` `kolor`

  Definiuje domyślny kolor dla tekstu.

`--btn`,`--button` `kolor`

  Definiuje domyślny kolor dla przycisków.

`--name` `nazwa`

  Definiuje nazwę programu.

`--title` `tytuł`

  Definiuje tytuł wyświetlany w belce tytułowej okna programu.

`--visual` `TrueColor`

  Wymusza na programie korzystanie z grafiki `TrueColor` na ekranach 8 bitowych.

`--inputstyle` `styl_komunikacji`

  Definiuje styl komunikacji z serwerem X - XIM (X Input Method). Możliwe wartości to: `onthespot`, `overthespot`, `offthespot` oraz `root`.

`--im` `serwer XIM`

  Definiuje serwer XIM.

`--noxim`

  Wyłącza XIM

## Zobacz także

kde-options.7

## Autorzy

Niniejszy podręcznik został napisany przez: &Lauri.Watts; &Lauri.Watts.mail;